def formatuj(*args, **kwargs):
    napis = '\n'.join(args)
    for k, v in kwargs.items():
        napis = napis.replace('$'+k, str(v))
    return napis

def test_formatuj_1():
    wynik = formatuj('Pierwsza linia', 'Druga linia', 'Trzecia linia')
    assert wynik == 'Pierwsza linia\nDruga linia\nTrzecia linia'

def test_formatuj_2():
    wynik = formatuj('Koszt towaru $nazwa wynosi $cena',
                     'Wydaje mi się, że $cena PLN to trochę dużo',
                     cena = 3900, nazwa = 'karta graficzna')
    assert wynik == 'Koszt towaru karta graficzna wynosi 3900\nWydaje mi się, że 3900 PLN to trochę dużo'

